Skip to main content
GET
/
webhooks
List all webhooks
curl --request GET \
  --url https://{domain}/api/site/webhooks \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "rh_24488493954",
    "target": "https://your-target.com/some-path",
    "secret": "your-secret",
    "events": [
      "order_created",
      "order_updated"
    ]
  }
]

Authorizations

Authorization
string
header
required

Pass your API key as: Authorization: Bearer <API KEY>.

Response

200 - application/json

A list of webhooks.

id
string

Unique identifier.

Example:

"rh_24488493954"

target
string<uri>

Your destination URL to push notifications to.

Example:

"https://your-target.com/some-path"

secret
string

Use the secret to verify that events posted to your URL were sent by the website.

Example:

"your-secret"

events
enum<string>[]
Available options:
order_created,
order_updated,
product_created,
product_updated,
form_submitted,
contact_updated,
booking_created
Example:
["order_created", "order_updated"]
Last modified on June 20, 2026